fs - Bug #11053

"FAILED assert(beacon_seq_stamp[seq] > beacon_last_acked_stamp)" in
upgrade:dumpling-x-firefly-distro-basic-vps
03/06/2015 07:06 PM - Yuri Weinstein

Status: Resolved % Done: 80%
Priority: Urgent

Assignee: Zheng Yan

Category:

Target version:

Source: Q/A Affected Versions:

Tags: ceph-qa-suite: upgrade/dumpling-firefly-x
Backport: dumpling, emperor, firefly, giant Component(FS):
Regression: No Labels (FS):

Severity: 3 - minor Pull request ID:

Reviewed: Crash signature:
Description

¢ https://github.com/ceph/ceph/pull/3922

Run: http://pulpito.ceph.com/teuthology-2015-03-04_19:13:01-upgrade:dumpling-x-firefly-distro-basic-vps/

Job: 789599

Logs:
http://qa-proxy.ceph.com/teuthology/teuthology-2015-03-04_19:13:01-upgrade:dumpling-x-firefly-distro-basic-vps/789599/teuthology.
log

2015-03-05T20:31:05.602 INFO:teuthology.orchestra.run.vpm078:Running: 'sudo yum -y install libceph

fs_jnil rbd-fuse ceph-radosgw librbdl ceph-debuginfo ceph-fuse python-ceph ceph ceph-devel ceph-te

st librados2 cephfs-java rest-bench libcephfsl'

2015-03-05T20:31:05.721 INFO:teuthology.orchestra.run.vpm078.stdout:Loaded plugins: priorities

2015-03-05T20:31:05.862 INFO:tasks.ceph.mds.a.vpm078.stderr:mds/MDS.cc: In function 'void MDS::han

dle_mds_beacon (MMDSBeacon*) ' thread 7£8745004700 time 2015-03-05 23:31:05.856375

2015-03-05T20:31:05.863 INFO:tasks.ceph.mds.a.vpm078.stderr:mds/MDS.cc: 666: FAILED assert (beacon_

seq_stamp[seq] > beacon_last_acked_stamp)

2015-03-05T20:31:05.864 INFO:tasks.ceph.mds.a.vpm078.stderr: ceph version 0.61.9-11-geld46934 (eldo6

934e€a488219075209816ee96ddl6b6d89da?2)

2015-03-05T20:31:05.864 INFO:tasks.ceph.mds.a.vpm078.stderr: 1: (MDS::handle_mds_beacon (MMDSBeacon

*)+0x16b) [0x4b7c6b]

2015-03-05T20:31:05.864 INFO:tasks.ceph.mds.a.vpm078.stderr: 2: (MDS::handle_core_message (Message*

) +0x923) [0x4cc893]

2015-03-05T20:31:05.865 INFO:tasks.ceph.mds.a.vpm078.stderr: 3: (MDS::_dispatch (Message*)+0x2f) [0

x4cc97f]

2015-03-05T20:31:05.865 INFO:tasks.ceph.mds.a.vpm078.stderr: 4: (MDS::ms_dispatch (Message*)+0x19b)
[Ox4ced2b]

2015-03-05T20:31:05.865 INFO:tasks.ceph.mds.a.vpm078.stderr: 5: (DispatchQueue::entry()+0x421) [0x

7ed901]

2015-03-05T20:31:05.866 INFO:tasks.ceph.mds.a.vpm078.stderr: 6: (DispatchQueue::DispatchThread::en

try () +0xd) [0x7803ad]

2015-03-05T20:31:05.866 INFO:tasks.ceph.mds.a.vpm078.stderr: 7: (()+0x7851) [0x7£874a53d851]

2015-03-05T20:31:05.866 INFO:tasks.ceph.mds.a.vpm078.stderr: 8: (clone()+0x6d) [0x7£874947290d]

2015-03-05T20:31:05.866 INFO:tasks.ceph.mds.a.vpm078.stderr: NOTE: a copy of the executable, or "o

bjdump -rdS <executable>" is needed to interpret this.

Related issues:
Duplicated by fs - Bug #11100: "FAILED assert(beacon_seq_stamp[seq]" in upgra... Duplicate 03/11/2015

Associated revisions
https://github.com/ceph/ceph/pull/3922
http://pulpito.ceph.com/teuthology-2015-03-04_19:13:01-upgrade:dumpling-x-firefly-distro-basic-vps/
http://qa-proxy.ceph.com/teuthology/teuthology-2015-03-04_19:13:01-upgrade:dumpling-x-firefly-distro-basic-vps/789599/teuthology.log
http://qa-proxy.ceph.com/teuthology/teuthology-2015-03-04_19:13:01-upgrade:dumpling-x-firefly-distro-basic-vps/789599/teuthology.log

Revision 75bf4bec - 03/10/2015 12:05 PM - Yan, Zheng

mds: fix assertion caused by system clock backwards

Fixes: #11053
Signed-off-by: Yan, Zheng <zyan@redhat.com>

Revision 07fc9f66 - 03/12/2015 03:04 AM - Yan, Zheng

mds: fix assertion caused by system clock backwards

Fixes: #11053
Signed-off-by: Yan, Zheng <zyan@redhat.com>

Revision 61d60068 - 03/12/2015 03:05 AM - Yan, Zheng

mds: fix assertion caused by system clock backwards

Fixes: #11053
Signed-off-by: Yan, Zheng <zyan@redhat.com>

Revision c7¢cf4933 - 03/12/2015 03:05 AM - Yan, Zheng

mds: fix assertion caused by system clock backwards

Fixes: #11053
Signed-off-by: Yan, Zheng <zyan@redhat.com>

History

#1 - 03/06/2015 11:44 PM - Sage Weil
- Project changed from Ceph to fs

#2 - 03/09/2015 12:22 PM - Zheng Yan

- Status changed from New to 12

looks like some one changed system's time

-67> 2015-03-06 04:16:03.756151 7£87425fe700 1 -- 10.214.130.78:6806/4328 --> 10.214.130.37:6789/0 -- mdsb

eacon (4101/a up:creating seq 2 v4) v2 —— ?+0 0x1ee0840 con 0xle61b80

-66> 2015-03-06 04:16:03.757429 7£8745004700 1 -- 10.214.130.78:6806/4328 <== mon.0 10.214.130.37:6789/0 1
7 ==== mdsbeacon (4101/a up:creating seq 2 v4) v2 ==== 103+0+0 (3972643044 0 0) Oxlee02cO0 con 0xle61b80

-65> 2015-03-05 23:31:01.806534 7£8741bfd700 2 —-- 10.214.130.78:6806/4328 >> 10.214.130.37:6800/4053 pipe (

0x1ef0f00 sd=17 :35809 s=2 pgs=8 cs=1 1=1) .reader couldn't read tag, Success

-64> 2015-03-05 23:31:01.806587 7£8741bfd700 2 -- 10.214.130.78:6806/4328 >> 10.214.130.37:6800/4053 pipe
0x1ef0f00 sd=17 :35809 s=2 pgs=8 cs=1 1=1).fault 0: Success

-63> 2015-03-05 23:31:01.806782 7£8745004700 5 mds.0.1 ms_handle_reset on 10.214.130.37:6800/4053

-62> 2015-03-05 23:31:01.806803 7£8745004700 1 mds.0O.objecter ms_handle_reset on o0sd.3

should we fix this assertion?
#3 - 03/09/2015 02:43 PM - Greg Farnum

We talked about this briefly in standup. It looks like we can just toss this state out and try again, probably setting ourselves laggy until we get an ack
with our new timestamps.

#4 - 03/13/2015 01:12 AM - Zheng Yan

- Status changed from 12 to Fix Under Review

#5 - 03/16/2015 05:41 PM - Loic Dachary

- Status changed from Fix Under Review to 7
- Assignee set to Zheng Yan

- % Done changed from 0 to 80

- Backport set to firefly

#6 - 03/16/2015 05:42 PM - Loic Dachary

e firefly backport https://github.com/ceph/ceph/pull/3970
e giant backport https:/github.com/ceph/ceph/pull/3971
e dumpling backport https://github.com/ceph/ceph/pull/3969

#7 - 03/16/2015 05:43 PM - Loic Dachary

- Description updated

#8 - 03/16/2015 05:53 PM - Greg Farnum
- Backport changed from firefly to dumpling, emperor, firefly, giant

#9 - 03/19/2015 10:36 PM - Greg Farnum

- Status changed from 7 to Resolved

These PRs all got merged.

#10 - 04/13/2015 09:53 PM - Yuri Weinstein

- Status changed from Resolved to New

Still see in

Run: http://pulpito.ceph.com/teuthology-2015-04-10_19:13:01-upgrade:dumpling-x-firefly-distro-basic-vps/

Job: ['843744"

Logs: http://pulpito.ceph.com/teuthology-2015-04-10_19:13:01-upgrade:dumpling-x-firefly-distro-basic-vps/843744/

Assertion: mds/MDS.cc: 666: FAILED assert (beacon_seq_stamp[seq] > beacon_last_acked_stamp)
ceph version 0.61.9-11-gel46934 (e146934ea488219075209816ee96ddl6b6d89da2)
1: (MDS::handle_mds_beacon (MMDSBeacon*)+0x16b) [0x4b7c6b]
MDS: :handle_core_message (Message*)+0x923) [0x4cc893]
MDS: :_dispatch (Message*)+0x2f) [0x4cc97f]
MDS: :ms_dispatch (Message*) +0x19b) [Ox4ced2b]
DispatchQueue: :entry () +0x421) [0x84deal]
DispatchQueue: :DispatchThread: :entry () +0Oxd) [0x8207bd]
()+0x79d1) [0x7£93bb6b29d1]
clone () +0x6d) [0x7£93babe686d]
https://github.com/ceph/ceph/pull/3970
https://github.com/ceph/ceph/pull/3971
https://github.com/ceph/ceph/pull/3969
http://pulpito.ceph.com/teuthology-2015-04-10_19:13:01-upgrade:dumpling-x-firefly-distro-basic-vps/
http://pulpito.ceph.com/teuthology-2015-04-10_19:13:01-upgrade:dumpling-x-firefly-distro-basic-vps/843744/

#11 - 04/13/2015 09:55 PM - Yuri Weinstein
- ceph-ga-suite upgrade/dumpling-firefly-x added

#12 - 04/13/2015 10:32 PM - John Spray

The stack trace appears to be from Cuttlefish, to which the fix wasn't backported.
It's annoying that we would have to fix this in such an old branch just to make the upgrade tests happy.

Is it possible that there is more of an infrastructure issue here if clocks are jumping around enough to trigger the bug?

#13 - 04/13/2015 10:34 PM - Greg Farnum

- Status changed from New to Resolved

Yeah, we're not doing anything with this. I'm confused why cuttlefish is running at all though, since it's pre-dumpling...
